(function($) {
  /**
   * Initialization
   */
  Drupal.behaviors.drowl_word_no_linebreak = {
    /**
     * Run Drupal module JS initialization.
     *
     * @param context
     * @param settings
     */
    attach: function(context, settings) {
      /*
       * jQuery replaceText - v1.1 - 11/21/2009
       * http://benalman.com/projects/jquery-replacetext-plugin/
       *
       * Copyright (c) 2009 "Cowboy" Ben Alman
       * Dual licensed under the MIT and GPL licenses.
       * http://benalman.com/about/license/
       */
      (function($) {
        $.fn.drowl_word_no_linebreak_replaceText = function(b, a, c) {
          return this.each(function() {
            var f = this.firstChild, g, e, d = [];
            if (f) {
              do {
                if (f.nodeType === 3) {
                  g = f.nodeValue;
                  e = g.replace(b, a);
                  if (e !== g) {
                    if (!c && /</.test(e)) {
                      $(f).before(e);
                      d.push(f);
                    } else {
                      f.nodeValue = e;
                    }
                  }
                }
              } while (f = f.nextSibling)
            }
            d.length && $(d).remove();
          });
        };
      })(jQuery);


      var regexp = new RegExp('\\b(' + settings.drowl_word_no_linebreak.replacepattern + ')(?!\\<span)\\b', "gi");
      jQuery('body *:not("a.spamspan,.no-drowl-word-nolinebreak")', context).once('drowl-no-linebreak').drowl_word_no_linebreak_replaceText(regexp, '<span class="no-linebreak">$1</span>', false);
    }
  };
})(jQuery);
